Subject: Re: [PATCH net-next RFC v4] net: hdlc_x25: Queue outgoing LAPB frames

From: Martin Schiller <[email-masked]>
Date: Mon, 01 Mar 2021 07:56:25 +0100

On 2021-02-27 00:03, Xie He wrote:
> On Fri, Feb 26, 2021 at 6:21 AM Martin Schiller <[email-masked]> wrote:
>> 
>> I have now had a look at it. It works as expected.
>> I just wonder if it would not be more appropriate to call
>> the lapb_register() already in x25_hdlc_open(), so that the layer2
>> (lapb) can already "work" before the hdlc<x>_x25 interface is up.
> 
> I think it's better not to keep LAPB running unless hdlc<x>_x25 is up.
> If I am the user, I would expect that when I change the X.25 interface
> to the DOWN state, the LAPB protocol would be completely stopped and
> the LAPB layer would not generate any new frames anymore (even if the
> other side wants to connect), and when I change the X.25 interface
> back to the UP state, it would be a fresh new start for the LAPB
> protocol.
> 
>> Also, I have a hard time assessing if such a wrap is really 
>> enforceable.
> 
> Sorry. I don't understand what you mean. What "wrap" are you referring 
> to?

I mean the change from only one hdlc<x> interface to both hdlc<x> and
hdlc<x>_x25.

I can't estimate how many users are out there and how their setup looks
like.

> 
>> Unfortunately I have no idea how many users there actually are.